## hippotat 1.1.3

=== Makefile ===
# Copyright 2020-2022 Ian Jackson and contributors to Hippotat
# SPDX-License-Identifier: GPL-3.0-or-later WITH LicenseRef-Hippotat-OpenSSL-Exception
# There is NO WARRANTY.

SHELL=/bin/bash

default: all

SPHINXBUILD	?= sphinx-build

INSTALL		?= install

ifneq (,$(NAILING_CARGO))

NAILING_CARGO ?= nailing-cargo
CARGO = $(NAILING_CARGO)
BUILD_SUBDIR ?= ../Build
TARGET_DIR ?= $(BUILD_SUBDIR)/$(notdir $(PWD))/target
NAILING_CARGO_JUST_RUN ?= $(NAILING_CARGO) --just-run -q ---

else

CARGO		?= cargo
TARGET_DIR	?= target

endif # Cargo.nail

CARGO_RELEASE ?= release
TARGET_RELEASE_DIR ?= $(TARGET_DIR)/$(CARGO_RELEASE)

ifneq (debug,$(CARGO_RELEASE))
CARGO_RELEASE_ARG ?= --$(CARGO_RELEASE)
endif

rsrcs = $(shell $(foreach x,$(MAKEFILE_FIND_X),set -$x;)\
    find -H $1 \( -name Cargo.toml -o -name Cargo.lock -o -name Cargo.lock.example -o -name \*.rs \) )
stamp=@mkdir -p stamp; touch $@

TESTS=$(notdir $(wildcard test/t-*[^~]))

all:	cargo-build doc

check:	cargo-test $(addprefix stamp/,$(TESTS))

cargo-build: stamp/cargo-build
cargo-test: stamp/cargo-test

stamp/cargo-%: $(call rsrcs,.)
	$(CARGO) $* $(CARGO_RELEASE_ARG) $(CARGO_BUILD_OPTIONS) --workspace
	$(stamp)

stamp/t-%: test/t-% stamp/cargo-build $(wildcard test/*[^~])
	TARGET_RELEASE_DIR=$(abspath $(TARGET_RELEASE_DIR)) \
	$(NAILING_CARGO_JUST_RUN) \
	$(abspath test/capture-log) tmp/t-$*.log \
	$(abspath test/go-with-unshare test/t-$*)
	@echo OK t-$*; touch $@

doc:	docs/html/index.html
	@echo 'Documentation can now be found here:'
	@echo '  file://$(PWD)/$<'

docs/html/index.html: docs/conf.py $(wildcard docs/*.md docs/*.rst docs/*.png)
	rm -rf docs/html
	$(SPHINXBUILD) -M html docs docs $(SPHINXOPTS)

doch=/usr/share/doc/hippotat/

install: all
	$(INSTALL) -d $(DESTDIR)/usr/{bin,sbin} $(DESTDIR)$(doch)
	$(INSTALL) -m 755 $(TARGET_RELEASE_DIR)/hippotat $(DESTDIR)/usr/bin/.
	$(INSTALL) -m 755 $(TARGET_RELEASE_DIR)/hippotatd $(DESTDIR)/usr/sbin/.
	cp -r docs/html $(DESTDIR)$(doch)
	$(INSTALL) -m 644 PROTOCOL.txt $(DESTDIR)$(doch)/

clean:
	rm -rf stamp/* doc/html

very-clean: clean
	$(CARGO) clean

#---------- release process ----------
#
# Checks
#   nailing-cargo -o audit
#   NAILING_CARGO=nailing-cargo make check
#   dgit -wgfa sbuild
#
# Update release notes in debian/changelog:
#
# Update versions
#   * Cargo.toml		version, dependencies
#   * macros/Cargo.toml		version
#   * debian/changelog		finalise
#
# Rerun checks
#   * See "Check" above
#   * release-rust-crate --dry-run VERSION
#
# == commitment point ==
#
#   # merge into main, git push
#   release-rust-crate VERSION
#   make publish publish-make-current PUBLISH_VERSION=1.1.1
#   dgit -wgf push-source sid
#
#   release announcement on mailing list and/or blog post

#---------- docs publication ----------

PUBLISHED_BRANCH=published
PUBLISH_VERSION=unreleased
PUBLISH_USER=ianmdlvl@login.chiark.greenend.org.uk
PUBLISH_DOC_SPHINX_BASE=public-html/hippotat
PUBLISH_DOC_SPHINX_TAIL=$(PUBLISH_VERSION)/docs
PUBLISH_DOC_SPHINX=$(PUBLISH_USER):$(PUBLISH_DOC_SPHINX_BASE)/$(PUBLISH_DOC_SPHINX_TAIL)

publish: doc
	ssh $(PUBLISH_USER) 'cd $(PUBLISH_DOC_SPHINX_BASE) && mkdir -p $(PUBLISH_DOC_SPHINX_TAIL)'
	rsync -r --delete-delay docs/html/. $(PUBLISH_DOC_SPHINX)/.
	git branch -f $(PUBLISHED_BRANCH)

publish-make-current:
	ssh $(PUBLISH_USER) 'set -e; cd $(PUBLISH_DOC_SPHINX_BASE); rm -f current.tmp; ln -s $(PUBLISH_VERSION) current.tmp; mv -T current.tmp current'

.PHONY: cargo-build all doc clean

=== debian/changelog ===
hippotat (1.1.3) unstable; urgency=medium

  Packaging and build improvements:
  * Change `cargo-upstream` build-profile to `upstream-cargo`
    as per debian-devel discussion.
  * Add link to ITP bug, here: Closes:#1025898.
  * Updated dependencies.

  Burned version numbers:
  * Burned 1.1.2 due to Debian #943374.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 18 Dec 2022 22:35:43 +0000

hippotat (1.1.1) unstable; urgency=medium

  Packaging and build improvements:
  * Adjusted dependencies --- generally, relaxed.
  * Updated and improved build system.
  * Updated and improved Debian packaging.
  * Internal improvements (clippy lints etc.)
  * Test suite fixes
  * Fix busted lockfile.  (Fixes salsa #1.)
  * Docs refer to source code more prominently.  (Fixes salsa #2.)
  * Can now build with sbuild in Debian bookworm
     (subject to build-deps getting through NEW).

  Burned version numbers:
  * Burned 1.1.0 due to cargo publish awkardness and fail.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Thu, 15 Dec 2022 01:16:59 +0000

hippotat (1.0) unstable; urgency=medium

  * Initial general release

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Wed, 28 Sep 2022 19:52:51 +0100

hippotat (0.2) unstable; urgency=medium

  * Rust version.  Testing some packaging.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Tue, 13 Sep 2022 14:03:22 +0100

hippotat (0.1~UNRELEASED) unstable; urgency=medium

  * Python version. Not released.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sat, 08 Apr 2017 17:57:42 +0100

=== debian/control ===
Source: hippotat
Maintainer: Ian Jackson <ijackson@chiark.greenend.org.uk>
Section: net
Priority: optional
Build-Depends: debhelper (>= 12), cargo, rustc, python3-sphinx,
               python3-recommonmark, python3-sphinx-markdown-tables,
               moreutils, libssl-dev (>= 1.1), pkg-config,
# debian/update-build-deps manages these:
    librust-backtrace-dev <!upstream-cargo>,
    librust-base64-dev <!upstream-cargo>,
    librust-clap-dev <!upstream-cargo>,
    librust-easy-ext-dev <!upstream-cargo>,
    librust-educe-dev <!upstream-cargo>,
    librust-either-dev <!upstream-cargo>,
    librust-env-logger+default-dev <!upstream-cargo>,
    librust-eyre-dev <!upstream-cargo>,
    librust-fehler-dev <!upstream-cargo>,
    librust-futures-dev <!upstream-cargo>,
    librust-heck-dev <!upstream-cargo>,
    librust-hyper-dev <!upstream-cargo>,
    librust-hyper-tls-dev <!upstream-cargo>,
    librust-indenter-dev <!upstream-cargo>,
    librust-ipnet-dev <!upstream-cargo>,
    librust-itertools-dev <!upstream-cargo>,
    librust-lazy-regex-dev <!upstream-cargo>,
    librust-lazy-static-dev <!upstream-cargo>,
    librust-libc-dev <!upstream-cargo>,
    librust-log-dev <!upstream-cargo>,
    librust-memchr-dev <!upstream-cargo>,
    librust-mime-dev <!upstream-cargo>,
    librust-nix-dev <!upstream-cargo>,
    librust-parking-lot-dev <!upstream-cargo>,
    librust-pin-project-lite-dev <!upstream-cargo>,
    librust-regex-dev <!upstream-cargo>,
    librust-sha2-dev <!upstream-cargo>,
    librust-subtle-dev <!upstream-cargo>,
    librust-syslog-dev <!upstream-cargo>,
    librust-thiserror-dev <!upstream-cargo>,
    librust-tokio-dev <!upstream-cargo>,
    librust-void-dev <!upstream-cargo>,
Standards-Version: 4.6.1

Package: hippotat-client
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, hippotat-common
Recommends: hippotat-doc, userv, userv-utils (>= 0.6.0~~iwj4)
Description: IP Over HTTP (Asinine) - client
 IP-over-HTTP client.
 .
 Hippotat is a system to allow you to use your normal VPN, ssh, and
 other applications, even in broken network environments that are only
 ever tested with “web stuff”.
 .
 This package contains the client, which you typically run on your
 laptop as and when required.

Package: hippotat-server
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, hippotat-common, lsb-base
Pre-Depends: ${misc:Pre-Depends}
Recommends: hippotat-doc, userv, userv-utils (>= 0.6.0~~iwj4)
Suggests: authbind
Description: IP Over HTTP (Asinine) - server
 IP-over-HTTP server.
 .
 Hippotat is a system to allow you to use your normal VPN, ssh, and
 other applications, even in broken network environments that are only
 ever tested with “web stuff”.
 .
 This package contains the server, which you would typically keep
 running on a stable and well-connected machine.

Package: hippotat-common
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}, adduser
Recommends: ${sphinxdoc:Depends}
Description: IP Over HTTP (Asinine) - common files, including docs
 IP-over-HTTP system common files, including documentation.
 .
 Hippotat is a system to allow you to use your normal VPN, ssh, and
 other applications, even in broken network environments that are only
 ever tested with “web stuff”.
 .
 This package contains the common files need by both client and
 server, and the documentation.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with sphinxdoc

override_dh_installinit:
	dh_installinit --name=hippotatd

# For local testing with upstream dependencies:
#    NAILING_CARGO=nailing-cargo make check
#    NAILING_CARGO=nailing-cargo dpkg-buildpackage -Pupstream-cargo -uc -

ifeq (,$(filter upstream-cargo, $(DEB_BUILD_PROFILES)))

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/buildflags.mk
include /usr/share/rustc/architecture.mk
export CFLAGS CXXFLAGS CPPFLAGS LDFLAGS
export DEB_HOST_RUST_TYPE DEB_HOST_GNU_TYPE

PATH:=/usr/share/cargo/bin:$(PATH)
CARGO_HOME=$(shell pwd)/debian/cargo_home
DEB_CARGO_CRATE=hippotat
export PATH CARGO_HOME DEB_CARGO_CRATE

TARGET_RELEASE_DIR = target/$(DEB_HOST_RUST_TYPE)/release
export TARGET_RELEASE_DIR

execute_before_dh_auto_build:
	if test -f Cargo.lock; then mv Cargo.lock Cargo.lock.upstream; fi
	cargo prepare-debian /usr/share/cargo/registry

execute_before_dh_auto_clean:
	if test -f Cargo.lock.upstream; \
	then mv Cargo.lock.upstream Cargo.lock; fi

override_dh_auto_test:
	@echo not running tests during build - they need unshare

endif

## hippotat 1.1.4

=== Makefile ===
--- 
+++ 
@@ -100,9 +100,10 @@
 # == commitment point ==
 #
 #   # merge into main, git push
-#   release-rust-crate VERSION
+#   release-rust-crate hippotat VERSION
 #   make publish publish-make-current PUBLISH_VERSION=1.1.1
 #   dgit -wgf push-source sid
+#   git-push --dry-run --follow-tags origin
 #
 #   release announcement on mailing list and/or blog post

=== debian/changelog ===
hippotat (1.1.4) unstable; urgency=medium

  Bugfixes:
  * Improved error message about failure to initialise syslog.
  * Improved error reporting of ipif failures (and debug loggong).
  * Fix build on platforms with unsigned chars.
    Closes: #1028028.  [Reported by Adrian Bunk]

  Packaging improvements:
  * Add empty /etc/hippotat/config.d (to hippotat-common).
  * init script: Print better error message about firewall.
  * debian/control: Add Homepage and Vcs-Git.  [Reported by Axel Beckert]
  * debian/control: Add many missing Recommends.
  * LICENCE aka d/copyright improvements.  [Requested by Debian ftpmaster]
  * Makefile: Fixes to release checklist

  Testing:
  * Add autopkgtest that tests a full-on setup, with two simulated hosts.
  * Add autopkgtest that tests the init script.
  * Supporting fixes and refactoring.

  * Debian-only release, for exposure to Debian infrastructure.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 08 Jan 2023 17:09:33 +0000

=== debian/tests/control ===
Tests: adt-full
Tests-Directory: adt
Depends:
  hippotat-client, hippotat-server,
  userv-utils, libnetaddr-ip-perl, net-tools,
  rsyslog, authbind, iptables,
  bash, iproute2, util-linux, iputils-ping
Restrictions: needs-root, allow-stderr

Tests: adt-initscript
Tests-Directory: adt
Depends:
  hippotat-server,
  net-tools,
  rsyslog,
  bash, userv-utils, netcat-openbsd, curl
Restrictions: needs-root, allow-stderr

## hippotat 1.1.6

=== Makefile ===
--- 
+++ 
@@ -37,6 +37,8 @@
 stamp=@mkdir -p stamp; touch $@
 
 TESTS=$(notdir $(wildcard test/t-*[^~]))
+MAN8PAGES=hippotat-setup-permissions.8
+MANPAGES=$(MAN8PAGES)
 
 all:	cargo-build doc
 
@@ -56,7 +58,7 @@
 	$(abspath test/go-with-unshare test/t-$*)
 	@echo OK t-$*; touch $@
 
-doc:	docs/html/index.html
+doc:	docs/html/index.html $(MANPAGES)
 	@echo 'Documentation can now be found here:'
 	@echo '  file://$(PWD)/$<'
 
@@ -64,14 +66,22 @@
 	rm -rf docs/html
 	$(SPHINXBUILD) -M html docs docs $(SPHINXOPTS)
 
+hippotat-setup-permissions%: hippotat-setup-permissions%.pod
+	m=$@; pod2man --section=$${m##*.} --date="Hippotat" \
+		--center=" " --name=$${m%.*} \
+		$^ $@
+
 doch=/usr/share/doc/hippotat/
 
 install: all
-	$(INSTALL) -d $(DESTDIR)/usr/{bin,sbin} $(DESTDIR)$(doch)
+	$(INSTALL) -d $(DESTDIR)/usr/{bin,sbin}
+	$(INSTALL) -d $(DESTDIR)$(doch) $(DESTDIR)$(man8dir)
 	$(INSTALL) -m 755 $(TARGET_RELEASE_DIR)/hippotat $(DESTDIR)/usr/bin/.
 	$(INSTALL) -m 755 $(TARGET_RELEASE_DIR)/hippotatd $(DESTDIR)/usr/sbin/.
+	$(INSTALL) -m 755 hippotat-setup-permissions $(DESTDIR)/usr/bin/.
 	cp -r docs/html $(DESTDIR)$(doch)
 	$(INSTALL) -m 644 PROTOCOL.txt $(DESTDIR)$(doch)/
+	$(INSTALL) -m 644 $(MAN8PAGES) $(DESTDIR)$(man8dir)/.
 
 clean:
 	rm -rf stamp/* doc/html
@@ -81,28 +91,36 @@
 
 #---------- release process ----------
 #
+# Preparatory
+#   cargo update and/or upgrades
+#
 # Checks
 #   nailing-cargo -o audit
 #   NAILING_CARGO=nailing-cargo make check
-#   dgit -wgfa sbuild
+#   dgit -wgfa sbuild -c build -A
+#   autopkgtest --ignore-restrictions=x-hippotat-adt-broken-in-debci . --- schroot build
 #
 # Update release notes in debian/changelog:
 #
 # Update versions
-#   * Cargo.toml		version, dependencies
+#   * Cargo.toml		version
 #   * macros/Cargo.toml		version
 #   * debian/changelog		finalise
 #
+# Squash branch if need be.
+#
+#   VERSION=$(dpkg-parsechangelog -SVersion); echo $VERSION
+#
 # Rerun checks
 #   * See "Check" above
-#   * release-rust-crate --dry-run VERSION
+#   * release-rust-crate --dry-run hippotat $VERSION
 #
 # == commitment point ==
 #
 #   # merge into main, git push
-#   release-rust-crate hippotat VERSION
-#   make publish publish-make-current PUBLISH_VERSION=1.1.1
-#   dgit -wgf push-source sid
+#   release-rust-crate hippotat $VERSION
+#   make publish publish-make-current PUBLISH_VERSION=$VERSION
+#   dgit -wgfa push-source sid
 #   git-push --dry-run --follow-tags origin
 #
 #   release announcement on mailing list and/or blog post

=== debian/changelog ===
hippotat (1.1.6) unstable; urgency=medium

  Improvements:
  * New script hippotat-setup-permissions to help with authbind and ipif.
  * Config inspection command options --print-config improved.

  Documentation:
  * install.md: Say to get hippotat from your distro.
  * install.md: Say to do the hippotat config first
  * install.md: Document new setup script (which also has manpage)
  * settings.md &c: Explain how to set up server with TLS (not built-in).

  Testing and administrivia:
  * Many improvements to the autopkgtests.
  * However, disable the autopkgtests as they still don't work.
     https://lists.debian.org/debian-devel/2023/01/msg00095.html
  * Improve release checklist.
  * cargo update (and add a note about base64 version).
  * Changelog entries for Debian-only 1.1.5+exp1 to 1.1.5+exp7 deleted.

 -- Ian Jackson <ian@zealot.relativity.greenend.org.uk>  Wed, 11 Jan 2023 02:15:01 +0000

=== debian/control ===
--- 
+++ 
@@ -2,6 +2,8 @@
 Maintainer: Ian Jackson <ijackson@chiark.greenend.org.uk>
 Section: net
 Priority: optional
+Homepage: https://www.chiark.greenend.org.uk/~ianmdlvl/hippotat/current/docs/
+Vcs-Git: https://salsa.debian.org/iwj/hippotat
 Build-Depends: debhelper (>= 12), cargo, rustc, python3-sphinx,
                python3-recommonmark, python3-sphinx-markdown-tables,
                moreutils, libssl-dev (>= 1.1), pkg-config,
@@ -43,7 +45,9 @@
 Package: hippotat-client
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, hippotat-common
-Recommends: hippotat-doc, userv, userv-utils (>= 0.6.0~~iwj4)
+Recommends: hippotat-doc,
+            userv, userv-utils (>= 0.6.0~~iwj4),
+            libnetaddr-ip-perl, net-tools
 Description: IP Over HTTP (Asinine) - client
  IP-over-HTTP client.
  .
@@ -58,7 +62,10 @@
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, hippotat-common, lsb-base
 Pre-Depends: ${misc:Pre-Depends}
-Recommends: hippotat-doc, userv, userv-utils (>= 0.6.0~~iwj4)
+Recommends: hippotat-doc,
+            userv, userv-utils (>= 0.6.0~~iwj4),
+            libnetaddr-ip-perl, net-tools,
+            iptables, rsyslog | system-log-daemon
 Suggests: authbind
 Description: IP Over HTTP (Asinine) - server
  IP-over-HTTP server.

## hippotat 1.1.7

=== Makefile ===
--- 
+++ 
@@ -39,6 +39,7 @@
 TESTS=$(notdir $(wildcard test/t-*[^~]))
 MAN8PAGES=hippotat-setup-permissions.8
 MANPAGES=$(MAN8PAGES)
+man8dir=/usr/share/man/man8
 
 all:	cargo-build doc

=== debian/changelog ===
hippotat (1.1.7) unstable; urgency=medium

  Build system:
  * Makefile; Install the hippotat-setup-permissions(8)
    manpage to the right place.  (Bug introduced in 1.1.6.)
  * debian: ship the hippotat-setup-permissions(8) manpage.
  * init script: Demote userv and $syslog to Should-Start.
  * Update dependencies in provided Cargo.lock.

  Changes specifically for uploading to Debian:
  * debian/update-build-deps: support replacement (override)
  * Declare that we need clap 3, with +derive
  * Run dh_missing --fail-missing (for QA test)
  * Change source format to 1.0 (native) so we can have a revision

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Thu, 12 Jan 2023 18:50:36 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 # debian/update-build-deps manages these:
     librust-backtrace-dev <!upstream-cargo>,
     librust-base64-dev <!upstream-cargo>,
-    librust-clap-dev <!upstream-cargo>,
+    librust-clap-3+derive-dev <!upstream-cargo>,
     librust-easy-ext-dev <!upstream-cargo>,
     librust-educe-dev <!upstream-cargo>,
     librust-either-dev <!upstream-cargo>,

=== debian/rules ===
--- 
+++ 
@@ -37,4 +37,7 @@
 override_dh_auto_test:
 	@echo not running tests during build - they need unshare
 
+override_dh_missing:
+	dh_missing --fail-missing
+
 endif

## hippotat 1.1.8

=== Makefile ===
--- 
+++ 
@@ -118,7 +118,7 @@
 #
 # == commitment point ==
 #
-#   # merge into main, git push
+#   make version update MR, merge into main
 #   release-rust-crate hippotat $VERSION
 #   make publish publish-make-current PUBLISH_VERSION=$VERSION
 #   dgit -wgfa push-source sid

=== debian/changelog ===
hippotat (1.1.8) unstable; urgency=medium

  Dependencies:
  * base64: update to 0.21 and fix code to build with it
    [Peter Green, Ian Jackson]  Closes: #1037351.
    We are now incompatible with Debian bookworm, and targeting trixie.
  * clap: update to clap 4 and fix code to build and run with it.

  Packaging:
  * Make version minima in Cargo.toml accurate (and tested).
  * Tidying-up of Cargo.toml.
  * Update the provided Cargo.lock.

  Debian packaging:
  * Add version specifiers for all Rust build-dependencies.
    (Extracted from the Cargo.toml's minima, which are now correct.)
  * debian/update-build-deps: Add --check mode
  * debian/update-build-deps: Use a real TOML parser
  * debian/update-build-deps: Scan macros/ too

  Tests:
  * test/capture-log: Make it possible to disable capturing
  * Add many gitlab (sal) CI tests of both upstream and Debian builds,
    cargo audit, metadata consistency, etc.
    Sadly no end-to-end client/server tests due to lack of a
    convenient machine-level isolation facility.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Thu, 15 Jun 2023 22:16:53 +0100

## hippotat 1.1.9

=== Makefile ===
--- 
+++ 
@@ -118,11 +118,13 @@
 #
 # == commitment point ==
 #
-#   make version update MR, merge into main
+#   make version update MR (see above), merge into main
+#
 #   release-rust-crate hippotat $VERSION
 #   make publish publish-make-current PUBLISH_VERSION=$VERSION
 #   dgit -wgfa push-source sid
 #   git-push --dry-run --follow-tags origin
+#   git-push --follow-tags origin
 #
 #   release announcement on mailing list and/or blog post

=== debian/changelog ===
hippotat (1.1.9) unstable; urgency=medium

  Bugfix (for future compatibility):
  * base64: Tolerate lack of padding when decoding.
    (Bug introduced in 1.1.8.)

  Packaging:
  * Makefile: update release checklist for experience with 1.1.8
  * Update the provided Cargo.lock.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Fri, 16 Jun 2023 12:18:32 +0100

=== debian/control ===
--- 
+++ 
@@ -8,38 +8,42 @@
                python3-recommonmark, python3-sphinx-markdown-tables,
                moreutils, libssl-dev (>= 1.1), pkg-config,
 # debian/update-build-deps manages these:
-    librust-backtrace-dev <!upstream-cargo>,
-    librust-base64-dev <!upstream-cargo>,
-    librust-clap-3+derive-dev <!upstream-cargo>,
-    librust-easy-ext-dev <!upstream-cargo>,
-    librust-educe-dev <!upstream-cargo>,
-    librust-either-dev <!upstream-cargo>,
-    librust-env-logger+default-dev <!upstream-cargo>,
-    librust-eyre-dev <!upstream-cargo>,
-    librust-fehler-dev <!upstream-cargo>,
-    librust-futures-dev <!upstream-cargo>,
-    librust-heck-dev <!upstream-cargo>,
-    librust-hyper-dev <!upstream-cargo>,
-    librust-hyper-tls-dev <!upstream-cargo>,
-    librust-indenter-dev <!upstream-cargo>,
-    librust-ipnet-dev <!upstream-cargo>,
-    librust-itertools-dev <!upstream-cargo>,
-    librust-lazy-regex-dev <!upstream-cargo>,
-    librust-lazy-static-dev <!upstream-cargo>,
-    librust-libc-dev <!upstream-cargo>,
-    librust-log-dev <!upstream-cargo>,
-    librust-memchr-dev <!upstream-cargo>,
-    librust-mime-dev <!upstream-cargo>,
-    librust-nix-dev <!upstream-cargo>,
-    librust-parking-lot-dev <!upstream-cargo>,
-    librust-pin-project-lite-dev <!upstream-cargo>,
-    librust-regex-dev <!upstream-cargo>,
-    librust-sha2-dev <!upstream-cargo>,
-    librust-subtle-dev <!upstream-cargo>,
-    librust-syslog-dev <!upstream-cargo>,
-    librust-thiserror-dev <!upstream-cargo>,
-    librust-tokio-dev <!upstream-cargo>,
-    librust-void-dev <!upstream-cargo>,
+    librust-backtrace-dev (>= 0.3.3~) <!upstream-cargo>,
+    librust-base64-dev (>= 0.21~) <!upstream-cargo>,
+    librust-clap+derive-dev (>= 4~) <!upstream-cargo>,
+    librust-easy-ext-dev (>= 1~) <!upstream-cargo>,
+    librust-educe-dev (>= 0.4.1~) <!upstream-cargo>,
+    librust-either-dev (>= 1.5.1~) <!upstream-cargo>,
+    librust-env-logger+default-dev (>= 0.9~) <!upstream-cargo>,
+    librust-eyre-dev (>= 0.6~) <!upstream-cargo>,
+    librust-fehler-dev (>= 1~) <!upstream-cargo>,
+    librust-futures-dev (>= 0.3~) <!upstream-cargo>,
+    librust-heck-dev (>= 0.4~) <!upstream-cargo>,
+    librust-hyper-dev (>= 0.14.7~) <!upstream-cargo>,
+    librust-hyper-tls-dev (>= 0.5~) <!upstream-cargo>,
+    librust-indenter-dev (>= 0.3~) <!upstream-cargo>,
+    librust-ipnet-dev (>= 2.3~) <!upstream-cargo>,
+    librust-itertools-dev (>= 0.10.1~) <!upstream-cargo>,
+    librust-itertools-dev (>= 0.10~) <!upstream-cargo>,
+    librust-lazy-regex-dev (>= 2.2~) <!upstream-cargo>,
+    librust-lazy-static-dev (>= 1.4~) <!upstream-cargo>,
+    librust-libc-dev (>= 0.2~) <!upstream-cargo>,
+    librust-log-dev (>= 0.4.14~) <!upstream-cargo>,
+    librust-memchr-dev (>= 2~) <!upstream-cargo>,
+    librust-mime-dev (>= 0.3.4~) <!upstream-cargo>,
+    librust-nix-dev (>= 0.25~) <!upstream-cargo>,
+    librust-parking-lot-dev (>= 0.11~) <!upstream-cargo>,
+    librust-pin-project-lite-dev (>= 0.2~) <!upstream-cargo>,
+    librust-proc-macro2-dev (>= 1~) <!upstream-cargo>,
+    librust-quote-dev (>= 1~) <!upstream-cargo>,
+    librust-regex-dev (>= 1.5~) <!upstream-cargo>,
+    librust-sha2-dev (>= 0.10~) <!upstream-cargo>,
+    librust-subtle-dev (>= 2~) <!upstream-cargo>,
+    librust-syn-dev (>= 1~) <!upstream-cargo>,
+    librust-syslog-dev (>= 6~) <!upstream-cargo>,
+    librust-thiserror-dev (>= 1.0.2~) <!upstream-cargo>,
+    librust-tokio-dev (>= 1.7~) <!upstream-cargo>,
+    librust-void-dev (>= 1~) <!upstream-cargo>,
 Standards-Version: 4.6.1
 
 Package: hippotat-client

## hippotat 1.1.10

=== Makefile ===
--- 
+++ 
@@ -97,7 +97,7 @@
 #
 # Checks
 #   nailing-cargo -o audit
-#   NAILING_CARGO=nailing-cargo make check
+#   git clean -xdff && NAILING_CARGO=nailing-cargo make check
 #   dgit -wgfa sbuild -c build -A
 #   autopkgtest --ignore-restrictions=x-hippotat-adt-broken-in-debci . --- schroot build
 #

=== debian/changelog ===
hippotat (1.1.10) unstable; urgency=medium

  Dependencies and packaging:
  * Provide compatibility with nix 0.27.  (0.26 still supported.)
    Closes: #1064487.  [Report from Peter Green]
  * Relax many other dependencies to allow newer versions.
  * Declare MSRV of 1.63.

  Testing:
  * Fix/improve the minimal-versions-* tests in CI.

  Misc:
  * Suppress a (spurious) warning.
  * Minor updates to internal docs and CI organisation.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Fri, 23 Feb 2024 16:56:41 +0000

=== debian/control ===
--- 
+++ 
@@ -24,8 +24,7 @@
     librust-indenter-dev (>= 0.3~) <!upstream-cargo>,
     librust-ipnet-dev (>= 2.3~) <!upstream-cargo>,
     librust-itertools-dev (>= 0.10.1~) <!upstream-cargo>,
-    librust-itertools-dev (>= 0.10~) <!upstream-cargo>,
-    librust-lazy-regex-dev (>= 2.2~) <!upstream-cargo>,
+    librust-lazy-regex-dev (>= 2.4~) <!upstream-cargo>,
     librust-lazy-static-dev (>= 1.4~) <!upstream-cargo>,
     librust-libc-dev (>= 0.2~) <!upstream-cargo>,
     librust-log-dev (>= 0.4.14~) <!upstream-cargo>,

## hippotat 1.1.11

=== debian/changelog ===
hippotat (1.1.11) unstable; urgency=medium

  Debian package:
  * Fix clean target.  Closes: #1064524.  [Peter Green]
  * debian/update-build-deps: Handle build-dependencies too.

  Dependencies:
  * Be able to build with nix 0.28 too, and update Cargo.lock.
  * Update other dependencies.

  Build system:
  * Improve Makefile clean target.
  * Do compatibility with nix API changes via build.rs,
    cargo metadata, and #[cfg].

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 25 Feb 2024 18:47:15 +0000

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
 # debian/update-build-deps manages these:
     librust-backtrace-dev (>= 0.3.3~) <!upstream-cargo>,
     librust-base64-dev (>= 0.21~) <!upstream-cargo>,
+    librust-cfg-if-dev (>= 1~) <!upstream-cargo>,
     librust-clap+derive-dev (>= 4~) <!upstream-cargo>,
     librust-easy-ext-dev (>= 1~) <!upstream-cargo>,
     librust-educe-dev (>= 0.4.1~) <!upstream-cargo>,
@@ -36,6 +37,9 @@
     librust-proc-macro2-dev (>= 1~) <!upstream-cargo>,
     librust-quote-dev (>= 1~) <!upstream-cargo>,
     librust-regex-dev (>= 1.5~) <!upstream-cargo>,
+    librust-semver-dev (>= 1.0.14~) <!upstream-cargo>,
+    librust-serde-dev (>= 1.0.106~) <!upstream-cargo>,
+    librust-serde-json-dev (>= 1.0.41~) <!upstream-cargo>,
     librust-sha2-dev (>= 0.10~) <!upstream-cargo>,
     librust-subtle-dev (>= 2~) <!upstream-cargo>,
     librust-syn-dev (>= 1~) <!upstream-cargo>,

## hippotat 1.1.11build2

=== Makefile ===
--- 
+++ 
@@ -85,7 +85,9 @@
 	$(INSTALL) -m 644 $(MAN8PAGES) $(DESTDIR)$(man8dir)/.
 
 clean:
-	rm -rf stamp/* doc/html
+	rm -rf stamp/* tmp
+	rm -rf docs/html docs/doctrees
+	rm -f hippotat-setup-permissions.8
 
 very-clean: clean
 	$(CARGO) clean

=== debian/changelog ===
hippotat (1.1.11build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:53:28 +1100

hippotat (1.1.11build1) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 18:12:04 +0000

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: hippotat
-Maintainer: Ian Jackson <ijackson@chiark.greenend.org.uk>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ian Jackson <ijackson@chiark.greenend.org.uk>
 Section: net
 Priority: optional
 Homepage: https://www.chiark.greenend.org.uk/~ianmdlvl/hippotat/current/docs/

=== debian/tests/control ===
Tests: adt-full
Tests-Directory: adt
Depends:
  hippotat-client, hippotat-server,
  userv-utils, libnetaddr-ip-perl, net-tools,
  rsyslog, authbind, iptables,
  bash, iproute2, util-linux, iputils-ping, orphan-sysvinit-scripts,
  psmisc
Restrictions: needs-root, allow-stderr, x-hippotat-adt-broken-in-debci

Tests: adt-initscript
Tests-Directory: adt
Depends:
  hippotat-server,
  net-tools,
  rsyslog,
  bash, userv-utils, netcat-openbsd, curl
Restrictions: needs-root, allow-stderr, x-hippotat-adt-broken-in-debci

## hippotat 1.1.12

=== Makefile ===
--- 
+++ 
@@ -16,14 +16,14 @@
 CARGO = $(NAILING_CARGO)
 BUILD_SUBDIR ?= ../Build
 TARGET_DIR ?= $(BUILD_SUBDIR)/$(notdir $(PWD))/target
-NAILING_CARGO_JUST_RUN ?= $(NAILING_CARGO) --just-run -q ---
+NAILING_CARGO_JUST_RUN ?= $(NAILING_CARGO) --no-nail --no-cargo-lock-manip -q ---
 
 else
 
 CARGO		?= cargo
 TARGET_DIR	?= target
 
-endif # Cargo.nail
+endif # $(NAILING_CARGO)
 
 CARGO_RELEASE ?= release
 TARGET_RELEASE_DIR ?= $(TARGET_DIR)/$(CARGO_RELEASE)

=== debian/changelog ===
hippotat (1.1.12) unstable; urgency=medium

  Dependency updates:
  * Allow itertools 0.13.  Closes: #1082550.
  * Allow base64.  Closes: #1084523.
  * Allow nix 0.29
  * Allow heck 0.5
  * Allow syslog 7
  * cargo update (upstream Cargo.lock)

  Internal tidying up:
  * build.rs: Suppress new cargo features warning
  * Decorate rust-toolchain build-deps with !upstream-cargo profile
  * Makefile: fix an endif comment
  * Add missing jobserver sigils
  * Avoid nailing-cargo --just-run
  * Move a misplaced comment in cargo.toml

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Fri, 11 Oct 2024 15:27:37 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,15 @@
 Source: hippotat
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ian Jackson <ijackson@chiark.greenend.org.uk>
+Maintainer: Ian Jackson <ijackson@chiark.greenend.org.uk>
 Section: net
 Priority: optional
 Homepage: https://www.chiark.greenend.org.uk/~ianmdlvl/hippotat/current/docs/
 Vcs-Git: https://salsa.debian.org/iwj/hippotat
-Build-Depends: debhelper (>= 12), cargo, rustc, python3-sphinx,
+Build-Depends: debhelper (>= 12),
+	       python3-sphinx,
                python3-recommonmark, python3-sphinx-markdown-tables,
                moreutils, libssl-dev (>= 1.1), pkg-config,
+               cargo <!upstream-cargo>,
+	       rustc <!upstream-cargo>,
 # debian/update-build-deps manages these:
     librust-backtrace-dev (>= 0.3.3~) <!upstream-cargo>,
     librust-base64-dev (>= 0.21~) <!upstream-cargo>,

## hippotat 1.2.0

=== Makefile ===
--- 
+++ 
@@ -49,7 +49,7 @@
 cargo-test: stamp/cargo-test
 
 stamp/cargo-%: $(call rsrcs,.)
-	$(CARGO) $* $(CARGO_RELEASE_ARG) $(CARGO_BUILD_OPTIONS) --workspace
+	+$(CARGO) $* $(CARGO_RELEASE_ARG) $(CARGO_BUILD_OPTIONS) --workspace
 	$(stamp)
 
 stamp/t-%: test/t-% stamp/cargo-build $(wildcard test/*[^~])
@@ -90,7 +90,7 @@
 	rm -f hippotat-setup-permissions.8
 
 very-clean: clean
-	$(CARGO) clean
+	+$(CARGO) clean
 
 #---------- release process ----------
 #
@@ -101,7 +101,7 @@
 #   nailing-cargo -o audit
 #   git clean -xdff && NAILING_CARGO=nailing-cargo make check
 #   dgit -wgfa sbuild -c build -A
-#   autopkgtest --ignore-restrictions=x-hippotat-adt-broken-in-debci . --- schroot build
+#   autopkgtest --ignore-restrictions=isolation-machine . --- schroot build
 #
 # Update release notes in debian/changelog:
 #

=== debian/changelog ===
hippotat (1.2.0) unstable; urgency=medium

  HTTP implementation changed:
  * Client now uses reqwest (and thus hyper 1)
  * Server now uses hyper 1
  * Closes: #1094093.  [Report from Lucas Nussbaum]

  Build system:
  * Makefile: Add + sigil before cargo invocations.
    Fixes compatibility with recent GNU make.
  * autopkgtests: Declare isolation-machine restriction,
    rather than x-hippotat-adt-broken-in-debci.

  Dependency updates:
  * New deps: http-body 1.0.1, http-body-util 0.1.2, hyper-util 0.1.10
  * Require backtrace 0.3.74, tokio 1.43
  * Allow educe 0.6, itertools 0.14, thiserror 2
  * cargo update (upstream Cargo.lock)

  Internal tidying up:
  * HACKING.md: New file with some notes in.
  * Clarifications to config item defaulting traits.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 02 Feb 2025 16:59:18 +0000

=== debian/tests/control ===
Tests: adt-full
Tests-Directory: adt
Depends:
  hippotat-client, hippotat-server,
  userv-utils, libnetaddr-ip-perl, net-tools,
  rsyslog, authbind, iptables,
  bash, iproute2, util-linux, iputils-ping, orphan-sysvinit-scripts,
  psmisc
Restrictions: needs-root, allow-stderr, isolation-machine

Tests: adt-initscript
Tests-Directory: adt
Depends:
  hippotat-server,
  net-tools,
  rsyslog,
  bash, userv-utils, netcat-openbsd, curl
Restrictions: needs-root, allow-stderr, isolation-machine

## hippotat 1.2.1

=== debian/changelog ===
hippotat (1.2.1) unstable; urgency=medium

  * autopkgtests: Many fixes/improvements; should now work in ci.debian.net.
  * HACKING.md (internal docs): Minor improvement.
  * Includes all desired changes from 1.2.0+exp1 to 1.2.0+exp16 inclusive.
  * cargo update (upstream Cargo.lock), fixes RUSTSEC-2023-0067.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Wed, 05 Feb 2025 22:04:10 +0000

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                cargo <!upstream-cargo>,
 	       rustc <!upstream-cargo>,
 # debian/update-build-deps manages these:
-    librust-backtrace-dev (>= 0.3.3~) <!upstream-cargo>,
+    librust-backtrace-dev (>= 0.3.74~) <!upstream-cargo>,
     librust-base64-dev (>= 0.21~) <!upstream-cargo>,
     librust-cfg-if-dev (>= 1~) <!upstream-cargo>,
     librust-clap+derive-dev (>= 4~) <!upstream-cargo>,
@@ -23,8 +23,10 @@
     librust-fehler-dev (>= 1~) <!upstream-cargo>,
     librust-futures-dev (>= 0.3~) <!upstream-cargo>,
     librust-heck-dev (>= 0.4~) <!upstream-cargo>,
-    librust-hyper-dev (>= 0.14.7~) <!upstream-cargo>,
-    librust-hyper-tls-dev (>= 0.5~) <!upstream-cargo>,
+    librust-http-body-dev (>= 1.0.1~) <!upstream-cargo>,
+    librust-http-body-util-dev (>= 0.1.2~) <!upstream-cargo>,
+    librust-hyper-dev (>= 1~) <!upstream-cargo>,
+    librust-hyper-util-dev (>= 0.1.10~) <!upstream-cargo>,
     librust-indenter-dev (>= 0.3~) <!upstream-cargo>,
     librust-ipnet-dev (>= 2.3~) <!upstream-cargo>,
     librust-itertools-dev (>= 0.10.1~) <!upstream-cargo>,
@@ -40,6 +42,7 @@
     librust-proc-macro2-dev (>= 1~) <!upstream-cargo>,
     librust-quote-dev (>= 1~) <!upstream-cargo>,
     librust-regex-dev (>= 1.5~) <!upstream-cargo>,
+    librust-reqwest-dev (>= 0.12.8~) <!upstream-cargo>,
     librust-semver-dev (>= 1.0.14~) <!upstream-cargo>,
     librust-serde-dev (>= 1.0.106~) <!upstream-cargo>,
     librust-serde-json-dev (>= 1.0.41~) <!upstream-cargo>,
@@ -48,7 +51,7 @@
     librust-syn-dev (>= 1~) <!upstream-cargo>,
     librust-syslog-dev (>= 6~) <!upstream-cargo>,
     librust-thiserror-dev (>= 1.0.2~) <!upstream-cargo>,
-    librust-tokio-dev (>= 1.7~) <!upstream-cargo>,
+    librust-tokio-dev (>= 1.43~) <!upstream-cargo>,
     librust-void-dev (>= 1~) <!upstream-cargo>,
 Standards-Version: 4.6.1

=== old-python/debian/rules ===
#!/usr/bin/make -f

SHELL=/bin/bash

export PYBUILD_INSTALL_DIR=/usr/share/hippotat/python3

%:
	dh $@ --with python3 --buildsystem=pybuild

i=debian/hippotat

debian/copyright: COPYING AGPLv3+CAFv2
	cat $^ >$@.tmp && mv -f $@.tmp $@

override_dh_python3:
	dh_python3 -O--buildsystem=pybuild
	dh_installdirs /usr/sbin
	mv $i/usr/{bin,sbin}/hippotatd

override_dh_installinit:
	dh_installinit --name=hippotatd

override_dh_compress:
	find $i/usr/{bin,sbin} -type f | xargs ./subst-sys-path
	dh_compress

## hippotat 1.2.2

=== debian/changelog ===
hippotat (1.2.2) unstable; urgency=medium

  * Replace config custom proc macro with derive-deftly.
  * Dependency updates: allow syn 2.
  * Makefile: Force pipe-based jobserver.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Thu, 20 Mar 2025 00:03:35 +0000

=== debian/control ===
--- 
+++ 
@@ -15,6 +15,7 @@
     librust-base64-dev (>= 0.21~) <!upstream-cargo>,
     librust-cfg-if-dev (>= 1~) <!upstream-cargo>,
     librust-clap+derive-dev (>= 4~) <!upstream-cargo>,
+    librust-derive-deftly-dev (>= 1~) <!upstream-cargo>,
     librust-easy-ext-dev (>= 1~) <!upstream-cargo>,
     librust-educe-dev (>= 0.4.1~) <!upstream-cargo>,
     librust-either-dev (>= 1.5.1~) <!upstream-cargo>,

## hippotat 1.2.3

=== Makefile ===
--- 
+++ 
@@ -5,6 +5,9 @@
 SHELL=/bin/bash
 
 default: all
+
+# the fifo-based jobserver doesn't work through nailing-cargo, obviously
+MAKEFLAGS += --jobserver-style=pipe
 
 SPHINXBUILD	?= sphinx-build

=== uml/rndaddtoentcnt/Makefile ===
rndaddtoentcnt: rndaddtoentcnt.c
	$(CC) rndaddtoentcnt.c -o rndaddtoentcnt

.PHONY: clean
clean:
	rm -f *.o rndaddtoentcnt

=== debian/changelog ===
hippotat (1.2.3) unstable; urgency=medium

  * Allow use of nix 0.30, working incompatibility by using libc
    for dup2 and read.  Closes: #1116421.
    [Report and code contribution from Peter Green]
  * Routine cargo update of Cargo.lock for use with upstream deps.
  * debian/control: Drop mention of nonexistent hippotat-doc package.
    [Report from: Carles Pina i Estany]  Closes: #1115401, #1115402.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 26 Oct 2025 23:40:51 +0000

=== debian/control ===
--- 
+++ 
@@ -59,8 +59,7 @@
 Package: hippotat-client
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, hippotat-common
-Recommends: hippotat-doc,
-            userv, userv-utils (>= 0.6.0~~iwj4),
+Recommends: userv, userv-utils (>= 0.6.0~~iwj4),
             libnetaddr-ip-perl, net-tools
 Description: IP Over HTTP (Asinine) - client
  IP-over-HTTP client.
@@ -76,8 +75,7 @@
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, hippotat-common, lsb-base
 Pre-Depends: ${misc:Pre-Depends}
-Recommends: hippotat-doc,
-            userv, userv-utils (>= 0.6.0~~iwj4),
+Recommends: userv, userv-utils (>= 0.6.0~~iwj4),
             libnetaddr-ip-perl, net-tools,
             iptables, rsyslog | system-log-daemon
 Suggests: authbind

=== debian/rules ===
--- 
+++ 
@@ -34,6 +34,10 @@
 	if test -f Cargo.lock.upstream; \
 	then mv Cargo.lock.upstream Cargo.lock; fi
 
+execute_after_dh_auto_clean:
+	$(MAKE) very-clean
+	rm -rf debian/cargo_home
+
 override_dh_auto_test:
 	@echo not running tests during build - they need unshare

=== debian/tests/control ===
Tests: adt-full
Tests-Directory: adt
Depends:
  hippotat-client, hippotat-server,
  userv-utils, libnetaddr-ip-perl, net-tools,
  rsyslog, authbind, iptables,
  bash, iproute2, util-linux, iputils-ping,
  orphan-sysvinit-scripts | systemd-sysv,
  psmisc
Restrictions: needs-root, allow-stderr, isolation-machine

Tests: adt-initscript
Tests-Directory: adt
Depends:
  hippotat-server,
  net-tools,
  rsyslog,
  orphan-sysvinit-scripts | systemd-sysv,
  bash, userv-utils, netcat-openbsd, curl
Restrictions: needs-root, allow-stderr, isolation-machine

## hippotat 1.3.0

=== debian/changelog ===
hippotat (1.3.0) unstable; urgency=medium

  Feature:
  * hippotatd: Use systemd notify protocol to signal startup,
    when requested by `NOTIFY_SOCKET` in the environment.

  Documentation:
  * Fix typos in install.md and config.md.  [Ben Harris]

  Packaging:
  * Add a systemd unit file for hippotatd.service.
    [Ben Harris]  Closes: #1129076.

  Dependencies:
  * Allow use of nix 0.31 (and use in upstream Cargo.lock).
  * Update dependencies in our in-tree `Cargo.lock`.

  Tests:
  * HACKING.md: Instructions for qemu-based autopkgtest.
  * HACKING.md: Explain and adjust the weird autopkgtest rune.
  * autopkgtests: Minor refactoring.
  * autopkgtests: Run systemd debugging commands on failure.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 01 Mar 2026 21:22:12 +0000

## hippotat 1.3.1

=== debian/changelog ===
hippotat (1.3.1) unstable; urgency=medium

  Packaging:
  * Bump crate version (including macros) to 1.3.1.
  * Add debian/source/options to declare native source format.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 01 Mar 2026 22:15:21 +0000

=== debian/control ===
--- 
+++ 
@@ -44,6 +44,7 @@
     librust-quote-dev (>= 1~) <!upstream-cargo>,
     librust-regex-dev (>= 1.5~) <!upstream-cargo>,
     librust-reqwest-dev (>= 0.12.8~) <!upstream-cargo>,
+    librust-sd-notify-dev (>= 0.4.1~) <!upstream-cargo>,
     librust-semver-dev (>= 1.0.14~) <!upstream-cargo>,
     librust-serde-dev (>= 1.0.106~) <!upstream-cargo>,
     librust-serde-json-dev (>= 1.0.41~) <!upstream-cargo>,

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,8 @@
 
 override_dh_installinit:
 	dh_installinit --name=hippotatd
+override_dh_installsystemd:
+	dh_installsystemd --name=hippotatd
 
 # For local testing with upstream dependencies:
 #    NAILING_CARGO=nailing-cargo make check
